Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Class HyperlinkEvent.EventType

    java.lang.Object
      javax.swing.event.HyperlinkEvent.EventType

Enclosing class:
  HyperlinkEvent

    public static final class HyperlinkEvent.EventType

extends Object

Defines the ENTERED, EXITED, and ACTIVATED event types, along with their string representations, returned by toString().

Field Summary
`static HyperlinkEvent.EventType` | `ACTIVATED` Activated type.
`static HyperlinkEvent.EventType` | `ENTERED` Entered type.
`static HyperlinkEvent.EventType` | `EXITED` Exited type.

Method Summary
`String` | `toString()` Converts the type to a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ENTERED

    public static final HyperlinkEvent.EventType ENTERED

  Entered type.

### EXITED

    public static final HyperlinkEvent.EventType EXITED

  Exited type.

### ACTIVATED

    public static final HyperlinkEvent.EventType ACTIVATED

  Activated type.

Method Detail

### toString

    public String toString()

  Converts the type to a string.

  Overrides:
    `toString` in class `Object`
  Returns:
    the string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.